javax.swing.plaf.metal

## Class MetalTextFieldUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.TextUI
    - - javax.swing.plaf.basic.BasicTextUI
      - - javax.swing.plaf.basic.BasicTextFieldUI
        - - javax.swing.plaf.metal.MetalTextFieldUI

All Implemented Interfaces:
  ViewFactory

    public class MetalTextFieldUI
    extends BasicTextFieldUI

Basis of a look and feel for a JTextField.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeansTM has been added to the `java.beans` package. Please see `XMLEncoder`.

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicTextUI

`BasicTextUI.BasicCaret, BasicTextUI.BasicHighlighter`

### Constructor Summary

Constructors
Constructor and Description
`MetalTextFieldUI()`

### Method Summary

Methods
`static ComponentUI` `createUI(JComponent c)`
`void` `propertyChange(PropertyChangeEvent evt)` This method gets called when a bound property is changed on the associated JTextComponent.

### Methods inherited from class javax.swing.plaf.basic.BasicTextFieldUI

`create, getBaseline, getBaselineResizeBehavior, getPropertyPrefix`

### Methods inherited from class javax.swing.plaf.basic.BasicTextUI

`create, createCaret, createHighlighter, createKeymap, damageRange, damageRange, getComponent, getEditorKit, getKeymapName, getMaximumSize, getMinimumSize, getNextVisualPositionFrom, getPreferredSize, getRootView, getToolTipText, getVisibleEditorRect, installDefaults, installKeyboardActions, installListeners, installUI, modelChanged, modelToView, modelToView, paint, paintBackground, paintSafely, setView, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, update, viewToModel, viewToModel`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetalTextFieldUI

    public MetalTextFieldUI()

### Method Detail

#### createUI

    public static ComponentUI createUI(JComponent c)

#### propertyChange

    public void propertyChange(PropertyChangeEvent evt)

This method gets called when a bound property is changed on the associated JTextComponent. This is a hook which UI implementations may change to reflect how the UI displays bound properties of JTextComponent subclasses.

Overrides:
  `propertyChange` in class `BasicTextUI`
Parameters:
  `evt` - the property change event

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.